def draw_rectangle(can, x: int, y: int, largeur: int, hauteur: int, couleur: str):
    '''Trace un rectangle dans un canevas.
        Renvoie une référence vers le rectangle créé.
    can = référence du canevas
    x,y = coordonnées du coin supérieur gauche du rectangle ( en px )
    largeur, hauteur = dimensions ( en px )
    couleur = couleur en syntaxe Tkinter : 'black', 'white', etc...
    '''
    return can.create_rectangle(x, y, x+largeur, y+hauteur, fill = couleur)
    

def draw_ellipse(can, x: int, y: int, largeur: int, hauteur: int, couleur: str):
    '''Trace une ellipse dans un canevas.
        Renvoie une référence vers l'ellipse créée.
    can = référence du canevas
    x,y = coordonnées du centre de l'ellipse
    largeur, hauteur = dimensions ( en px )
    couleur = couleur en syntaxe Tkinter : 'black', 'white', etc...
    '''
    return can.create_oval(x - largeur//2, y - hauteur//2, x + largeur//2, y + hauteur//2, fill = couleur)

    
def delete_object(can, objet):
    '''Supprime un obejt dessiné sur un canevas.
    can = référence du canevas
    objet = référence de l'objet à supprimer
    '''
    can.delete(objet)
